Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package reporters
  Definition Classes
    nsc
- AbstractReporter
- ConsoleReporter
- CountingReporter
- DefaultReporter
- DisplayReporter
- Filtering
- FilteringReporter
- LimitFilter
- NoReporter
- PositionFilter
- PositionFiltering
- PrintReporter
- Reporter
- StoreReporter
- SummaryReporter

t

scala.tools.nsc.reporters

# LimitFilter

###

#### trait LimitFilter extends reflect.internal.Reporter with FilteringReporter

Disable a message when super.filter has passed the message but max limit has been reached. `hasErrors` is implemented as a flag to defer initializing ERROR object.

Source
  DisplayReporter.scala

Linear Supertypes
FilteringReporter, Filtering, ForwardingReporter, reflect.internal.Reporter, AnyRef, Any
Known Subclasses
DefaultReporter
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LimitFilter
2. FilteringReporter
3. Filtering
4. ForwardingReporter
5. Reporter
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class Severity extends AnyRef
   Definition Classes
     Reporter

### Abstract Value Members

1.  abstract val delegate: reflect.internal.Reporter
   Attributes
     protected
   Definition Classes
     ForwardingReporter
2.  abstract def maxerrs: Int
3.  abstract def maxwarns: Int

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from LimitFilter toany2stringadd[LimitFilter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (LimitFilter, B)
   Implicit
     This member is added by an implicit conversion from LimitFilter toArrowAssoc[LimitFilter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def count(severity: Severity): Int
   Definition Classes
     Reporter
9.  def echo(pos: Position, msg: String): Unit
   Definition Classes
     FilteringReporter → ForwardingReporter → Reporter
10.  def echo(msg: String): Unit
    Definition Classes
      Reporter
11.  def ensuring(cond: (LimitFilter) => Boolean, msg: => Any): LimitFilter
    Implicit
      This member is added by an implicit conversion from LimitFilter toEnsuring[LimitFilter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (LimitFilter) => Boolean): LimitFilter
    Implicit
      This member is added by an implicit conversion from LimitFilter toEnsuring[LimitFilter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): LimitFilter
    Implicit
      This member is added by an implicit conversion from LimitFilter toEnsuring[LimitFilter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): LimitFilter
    Implicit
      This member is added by an implicit conversion from LimitFilter toEnsuring[LimitFilter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def error(pos: Position, msg: String): Unit
    Definition Classes
      FilteringReporter → ForwardingReporter → Reporter
18.  def errorCount: Int
    Definition Classes
      Reporter
19.  def filter(pos: Position, msg: String, severity: Severity): Boolean
    Attributes
      protected
    Definition Classes
      LimitFilter → Filtering
20.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
21.  def finish(): Unit
    Definition Classes
      ForwardingReporter → Reporter
22.  def flush(): Unit
    Definition Classes
      ForwardingReporter → Reporter
23.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from LimitFilter toStringFormat[LimitFilter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
24.  def forward(pos: Position, msg: String, severity: Severity): Unit
    Attributes
      protected
    Definition Classes
      ForwardingReporter
25.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
26.  def hasErrors: Boolean
    Definition Classes
      LimitFilter → Reporter
27.  def hasWarnings: Boolean
    Definition Classes
      LimitFilter → Reporter
28.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
29.  def info0(pos: Position, msg: String, severity: Severity, force: Boolean): Unit
    Attributes
      protected
    Definition Classes
      ForwardingReporter → Reporter
30.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
31.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
32.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
34.  def rerunWithDetails(setting: Setting, name: String): String
    Definition Classes
      Reporter
35.  def reset(): Unit
    Definition Classes
      LimitFilter → ForwardingReporter → Reporter
36.  def resetCount(severity: Severity): Unit
    Definition Classes
      Reporter
37.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
38.  def toString(): String
    Definition Classes
      AnyRef → Any
39.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
40.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
41.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
42.  def warning(pos: Position, msg: String): Unit
    Definition Classes
      FilteringReporter → ForwardingReporter → Reporter
43.  def warningCount: Int
    Definition Classes
      Reporter
44.  object ERROR extends Severity
    Definition Classes
      Reporter
45.  object INFO extends Severity
    Definition Classes
      Reporter
46.  object WARNING extends Severity
    Definition Classes
      Reporter

### Deprecated Value Members

1.  def →[B](y: B): (LimitFilter, B)
   Implicit
     This member is added by an implicit conversion from LimitFilter toArrowAssoc[LimitFilter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from FilteringReporter

### Inherited from Filtering

### Inherited from ForwardingReporter

### Inherited from reflect.internal.Reporter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromLimitFilter to any2stringadd[LimitFilter]

### Inherited by implicit conversion StringFormat fromLimitFilter to StringFormat[LimitFilter]

### Inherited by implicit conversion Ensuring fromLimitFilter to Ensuring[LimitFilter]

### Inherited by implicit conversion ArrowAssoc fromLimitFilter to ArrowAssoc[LimitFilter]

### Ungrouped